#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xe4fc7bb5, "module_layout" },
	{ 0x81e3ad1f, "param_ops_bool" },
	{ 0x5edc1fef, "rt2x00mac_tx_frames_pending" },
	{ 0xaf62ce37, "rt2x00mac_get_ringparam" },
	{ 0xefae29f9, "rt2x00mac_get_antenna" },
	{ 0xa101773c, "rt2x00mac_set_antenna" },
	{ 0x52396045, "rt2x00mac_flush" },
	{ 0x4be1d95d, "rt2x00mac_rfkill_poll" },
	{ 0xd415cff3, "rt2x00mac_conf_tx" },
	{ 0x52540037, "rt2x00mac_get_stats" },
	{ 0x2ec55f28, "rt2x00mac_sw_scan_complete" },
	{ 0x8ce1159a, "rt2x00mac_sw_scan_start" },
	{ 0xfb46136c, "rt2x00mac_set_key" },
	{ 0x857e025d, "rt2x00mac_set_tim" },
	{ 0x2705913f, "rt2x00mac_configure_filter" },
	{ 0x453a08f, "rt2x00mac_bss_info_changed" },
	{ 0xb3777cb1, "rt2x00mac_config" },
	{ 0x777b1613, "rt2x00mac_remove_interface" },
	{ 0xedb64aad, "rt2x00mac_add_interface" },
	{ 0x3650a072, "rt2x00mac_stop" },
	{ 0xbb422732, "rt2x00mac_start" },
	{ 0x7b81b033, "rt2x00mac_tx" },
	{  0xa1d43, "rt2x00usb_flush_queue" },
	{ 0x6fe89e35, "rt2x00usb_kick_queue" },
	{ 0xe9b04c39, "rt2x00usb_watchdog" },
	{ 0x40a0a16e, "rt2x00usb_clear_entry" },
	{ 0x22a9e483, "rt2x00usb_uninitialize" },
	{ 0x33c87588, "rt2x00usb_initialize" },
	{ 0xd4c4937c, "rt2x00usb_resume" },
	{ 0xb7757024, "rt2x00usb_suspend" },
	{ 0xe9514676, "rt2x00usb_disconnect" },
	{ 0xeacde4d6, "usb_deregister" },
	{ 0x2f6948bc, "usb_register_driver" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x56f2f6e6, "__dynamic_dev_dbg" },
	{ 0xdbd8ead8, "_dev_info" },
	{ 0x47adbf1b, "rt2x00lib_set_mac_address" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9f234d95, "rt2x00usb_vendor_request" },
	{ 0x1c99fe13, "rt2x00usb_disable_radio" },
	{ 0x401cb7, "mutex_unlock" },
	{ 0x1feee096, "mutex_lock" },
	{ 0x9f68da0f, "_dev_err" },
	{ 0xcb3c8a7d, "___ratelimit" },
	{ 0xcba50ff1, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xecab0c5c, "consume_skb" },
	{ 0x18378b5f, "usb_submit_urb" },
	{ 0xd7b14120, "skb_push" },
	{ 0x4f9a9548, "skb_trim" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xcb47b5bc, "rt2x00usb_vendor_request_buff" },
	{ 0x5a055708, "rt2x00usb_probe" },
	{ 0x9514151a, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "E6636E1F71B87380790B02F");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
